RetrieveMessageRequester (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.RetrieveMessageRequester class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class RetrieveMessageRequester

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageRequester
              org.mule.transport.email.RetrieveMessageRequester

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageRequester, MessageRequesting

    public class RetrieveMessageRequester

extends AbstractMessageRequester

This dispatcher can only be used to receive message (as opposed to listening for them). Trying to send or dispatch will throw an UnsupportedOperationException. This contains a reference to a mail folder (and also the endpoint and connector, via superclasses)

Field Summary

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`RetrieveMessageRequester(InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispatch(MuleEvent event)`
`protected void` | `doDispose()`
`protected MuleMessage` | `doRequest(long timeout)` Make a specific request to the underlying transport.
`protected MuleMessage` | `doSend(MuleEvent event)`
`protected void` | `flagMessage(Folder folder, Message message)` There seems to be som variation on pop3 implementation so it may be preferrable to mark messages as seen here and alos overload the getMessages method to grab only new messages
`protected static int` | `getMessageCount(Folder folder)`
`protected static Message` | `getNextMessage(Folder folder)`
`protected static boolean` | `hasMessages(Folder folder)` Optimised check to se whether to return the message count and retrieve the messages.

Methods inherited from class org.mule.transport.AbstractMessageRequester
`dispose, getEndpoint, getWorkManager, initialise, request`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, doStart, doStop, exceptionThrown, getConnectEventId, getConnectionDescription, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageRequester
`activate, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### RetrieveMessageRequester

    public RetrieveMessageRequester(InboundEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws Exception

  Parameters:
    `event` -
  Throws:
    `UnsupportedOperationException`
    `Exception`

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws Exception

  Parameters:
    `event` -
  Returns:
  Throws:
    `UnsupportedOperationException`
    `Exception`

### doRequest

    protected MuleMessage doRequest(long timeout)
                             throws Exception

  Make a specific request to the underlying transport. Endpoint can be in the form of pop3://username:password@pop3.lotsofmail.org

  Specified by:
    `doRequest` in class `AbstractMessageRequester`
  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocal causes an exception

### flagMessage

    protected void flagMessage(Folder folder,
                               Message message)
                        throws MessagingException

  There seems to be som variation on pop3 implementation so it may be preferrable to mark messages as seen here and alos overload the getMessages method to grab only new messages

  Parameters:
    `message` -
  Throws:
    `MessagingException`

### getNextMessage

    protected static Message getNextMessage(Folder folder)
                                     throws MessagingException

  Throws:
    `MessagingException`

### getMessageCount

    protected static int getMessageCount(Folder folder)
                                  throws MessagingException

  Throws:
    `MessagingException`

### hasMessages

    protected static boolean hasMessages(Folder folder)
                                  throws MessagingException

  Optimised check to se whether to return the message count and retrieve the messages. Some pop3 implementations differ so an optimised check such as folder.hasNewMessages() cannot be used

  Parameters:
    `folder` -
  Returns:
  Throws:
    `MessagingException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.